<!DOCTYPE html>
<html lang="en">
<head>
     <title>Fashion E-commerce Product Page</title>     
     <link rel="stylesheet" href="style.css">
     <script>
        // đối tượng sản phẩm thời trang. Hãy load đối tượng vào trang web
        var fashionProductObj = {
            images: {
                // ảnh cover (ảnh to)
                coverImg: "images/cover.png",
                // các ảnh nhỏ bên phải. Có bao nhiêu ảnh load ra từng đó ảnh (dùng vòng lặp for)
                detailImages: ["images/image2.png", "images/image3.png", "images/image4.png", "images/image5.png"]
            },
            // tên sản phẩm
            productName: "WHITE SUIT FOR LADY",
            // giá sản phẩm
            price: "$ 159,89",
            // type sản phẩm (thay ở chỗ PRODUCT-TYPE-HERE)
            type: "IVORY WHITE | 09162/135",
            // mô tả (thay ở chỗ description-here)
            description: "We work with our suppliers, workers, unions and international bodies to develop a supply chain where human rights are promoted and respected, contributing to the United Nations Sustainable Development Goals.",
            // các loại cỡ (dùng for để load ra, mỗi size là 1 thẻ p)
            size: ["EP", "P", "M", "G", "L", "EG"]
        };
        
        // viết code xuống dưới đây
        function onPageLoading(){
            console.log("Da tai trang");
            var productName=document.getElementById("p-product-name");
            productName.innerHTML=fashionProductObj.productName;
            
            var productPrice=document.getElementById("p-product-price");
            productPrice.innerHTML=fashionProductObj.price;
            
            var typeProduct=document.getElementById("p-product-type");
            typeProduct.innerHTML=fashionProductObj.type;

            var descriptionProduct=document.getElementById("p-description");
            descriptionProduct.innerHTML=fashionProductObj.description;

            var imageCoverBig=document.getElementById("img-1");
            imageCoverBig.style.backgroundImage="url(" + fashionProductObj.images.coverImg + ")";

            var imageSmall=document.getElementsByClassName("div-img-detail");
            // imageSmall.innerHTML=""; dung append xoa phan tu
            for(var i=0;i<fashionProductObj.images.detailImages.length;i++){
                // imageSmall.innerHTML+="<div style='background-image:url("+fashionProductObj.images.detailImages[i]+")'></div>"; c1
                imageSmall[i].style.backgroundImage=`url(${fashionProductObj.images.detailImages[i]})`;
            }

            var textReplace=document.querySelectorAll("#product-size p");
            for(var j=0;j<size.length;j++)
            {
                textReplace[j].innerHTML=fashionProductObj.size[j];
            }
        }
     </script>
</head>
<body onload="onPageLoading()">
    <div class="flex-container">
        <div class="left-content">
            <div id="img-1"></div>
            <div id="img-detail">
                <div class="div-img-detail"></div>
                <div class="div-img-detail"></div>
                <div class="div-img-detail"></div>
            </div>
        </div>
        <div class="right-content">
            <div id="card-ss">
                <p class="card-title">BEGIN SESSION  </p>
                <image class="img-card" src="images/Card.png" alt="card"></image>
            </div>
            <div id="product-infor">
                <div id="name-price">
                    <p id="p-product-name">PRODUCT-NAME-HERE </p>
                    <p id="p-product-price">PRICE-HERE</p>
                </div>
                <div>
                    <p id="p-product-type">PRODUCT-TYPE-HERE</p>
                </div>
                <div>
                    <p id="p-description">description-here</p>
                </div>
                <div>
                    <div id="product-size">
                        <p >put</p>
                        <p >all</p>
                        <p >size</p>
                        <p >here</p>
                    </div>
                    
                    <p class="size-guide">SIZE GUIDE</p>
                </div>
                <div  >
                    <button id="btn-add">ADD TO BAG</button>
                </div>
                <div>
                    <p class="footer-action">ADD TO FAVORITE <br> CACULATE SHOPING AND DELIVERY</p>
                </div>   
            </div>
        </div>
    </div>
    
</body>
</html>